package com.cirle.scientific.service;

import com.cirle.scientific.dto.QkjMemberDto;
import com.cirle.scientific.pojo.Result;

import java.text.ParseException;

public interface UserService {
    Result<QkjMemberDto> getUserInfo(String memCard) throws ParseException;

    Result loginUserImgWeb(String memCard);

    Result findGoodMallList(String memCard,Integer page, Integer size);

    Result findGoodDetails(String memCard, Long id);

    Result integralLevel(String memCard);

    Result findUserGoodList(String memCard, Integer start, Integer size);

    Result findUserAllOrderList(String memCard);

//    Result findUserOtherOrderList(String memCard, Integer start, Integer size, Integer type);

    Result findUserOrderList(String memCard, Integer start, Integer size, Integer type);

    Result findUserCollectionList(String memCard, Integer start, Integer size, Integer type);

    Result saveCollectionWeb(String memCard, String typeId, Integer type,Integer isDel,Integer id);



    Result saveUserInfoWithSm(String memCard, String userName, String card,
                              String unitName, String address, String addressXx,
                              String experience, String sex,String email,Integer documentType,
                              String documentNumber,Integer degree,Integer bachelorDegree,
                              Integer occupationType,Integer unitArea,String unitAddress,String specialization );

    Result saveUserInfoWithYs(String memCard, String businessLicense, Integer professional, Integer professionalTwo);
    Result saveUserInfoWithYsNew(String memCard,String businessLicense,Integer professional, Integer professionalTwo, Integer post);

    Result changeUserHeader(String key, String memCard);

    Result UpdateUserInfo(String memCard, String userName, String phone, String headerImg);

    Result findUserStudyRecord(String memCard, Integer start, Integer size);

    Result findUserStudyRecordWeb(String memCard, Integer start, Integer size);

    Result saveReceiptInformation(String memCard, Long id,String name,String phone,String adress);

    Result getQrImg(String memCard);

    Result findUserInfoWithSm(String memCard);

    Result findUserInfoWithYs(String memCard);

    Result saveUserDorec(String memCard, Integer oprType, Integer objType, Integer objId, Integer source, String url, String ip);

    void updateAllIDNumber();
    Result saveUserInfoWithSmV2(String memCard, String userName, String card,
                              String unitName, String address, String addressXx,
                              String experience, String sex,String email,Integer documentType,
                              String documentNumber,Integer degree,Integer bachelorDegree,
                              Integer occupationType,Integer unitArea,String unitAddress,String specialization, String department,String province, String city, String businessLicense,
                              Integer post);
    Result saveUserInfoWithYsNewV2(String memCard, String userName, String unitName, String sex,String department,
                                   String province, String city, String businessLicense,Integer professional, Integer professionalTwo, Integer post, boolean needCheck);

    Result findUserAttestInfo(String memCard);
}
